using System;
using System.Collections.Generic;
using System.Text;

namespace SocietyGames.SpeechWorkout
{
    class FileFormatException :
		System.ApplicationException
	{
		/// <summary>
		/// Default constructor.
		/// </summary>
		public FileFormatException() {}
		/// <summary>
		/// Exception with message.
		/// </summary>
		/// <param name="message">Exception message.</param>
		public FileFormatException(string message) :
			base(message) {}
		/// <summary>
		/// Exception with message and inner exception.
		/// </summary>
		/// <param name="message">Exception message.</param>
		/// <param name="inner">Inner exception.</param>
		public FileFormatException(string message,
			Exception inner) : base(message, inner) {}
	}    
}
