using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace SocietyGames.SpeechWorkout
{
    public partial class ExerciseItemControl : UserControl
    {
        TimeSpan time;
        string exerciseName;
        float initialScore;
        float currentScore;

        public ExerciseItemControl()
        {
            InitializeComponent();
        }

        public TimeSpan Time
        {
            get
            {
                return this.time;
            }
            set
            {
                this.time = value;
                this.timeLabel.Text = this.time.ToString();
            }
        }

        public string ExerciseName
        {
            get
            {
                return this.exerciseName;
            }
            set
            {
                this.exerciseName = value;
                this.nameLabel.Text = this.exerciseName;
            }

        }

        public float InitialScore
        {
            get
            {
                return this.initialScore;
            }
            set
            {
                this.initialScore = value;
                this.initialLabel.Text = ((int)(this.initialScore * 100)).ToString();
            }
        }

        public float CurrentScore
        {
            get
            {
                return this.currentScore;
            }
            set
            {
                this.currentScore = value;
                this.currentLabel.Text = ((int)(this.currentScore * 100)).ToString();
            }
        }
    }
}
